#!/bin/bash

printf "\n   Translation file  %%Ready  (Unfinished/Total)\n"
printf '=============================================================\n'
for I in `ls -1 ../src/*.po`;
do
    UNFINISHED=`cat $I | sed 's/msgstr ""\n\n/untraslate/' | grep 'untranslate$' | wc -l`;
    MSGLINES=`grep 'msgid' $I | wc -l`;
    let "REALLINES=$MSGLINES";
    let "PERCENT=(100*$UNFINISHED)/$REALLINES";
    let "FINISHED=100-$PERCENT";
    printf "% 18s: % 4d%%    %d/%d\n" $I $FINISHED $UNFINISHED $MSGLINES ;
done
printf "\n"

