#!/usr/bin/env python
# -*- coding: utf-8 -*-

PATH_TO_PO = '../po/*.po'

import os
import glob
import re

print 'Translation file  %Ready  (Unfinished/Total)'
print '============================================'
for filename in glob.glob(PATH_TO_PO): 
    file = open(filename, 'r').read()
    unfinished = re.findall(r'msgstr ""\n\n', file, re.M)
    msg_lines  = re.findall(r'msgid', file, re.M)
    percent = (100 * len(unfinished))/len(msg_lines)
    finished = 100 - percent
    print "% 15s: % 4d%%    %d/%d" %(os.path.split(filename)[-1], finished, len(unfinished), len(msg_lines))
